Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 389633 - x11-drivers/xf86-input-wacom / sys-kernel/linuxwacom-module - missing udev rules for wacom
Summary: x11-drivers/xf86-input-wacom / sys-kernel/linuxwacom-module - missing udev ru...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-05 14:47 UTC by Michael Spreng
Modified: 2014-01-07 09:06 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
udev rules for serial wacom tablets (60-wacom.rules,806 bytes, text/plain)
2011-11-05 14:47 UTC, Michael Spreng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Spreng 2011-11-05 14:47:17 UTC
Created attachment 291755 [details]
udev rules for serial wacom tablets

I have a HP 2701p tablet with an integrated isdv4 (serial) wacom device. Since some time it wasn't available anymore as /dev/ttyS0, and the reason were the missing udev rules.

I don't know with which package they should come, but it would be very helpful if those rules were included, then serial tablets would hopefully work out of the box. The rules can be found for example here: http://sourceforge.net/apps/mediawiki/linuxwacom/index.php?title=Fixed_device_files_with_udev#Serial_Wacom_tablet_rules
Comment 1 Jeroen Roovers gentoo-dev 2011-11-05 16:20:20 UTC
+1
Comment 2 Mike Auty gentoo-dev 2012-04-22 07:14:08 UTC
xf86-input-wacom comes with an xorg.d config file that support serial tablets already (in /usr/share/X11/xorg.conf.d/50-wacom.conf):

Section "InputClass"
        Identifier "Wacom serial class identifiers"
        MatchProduct "WACf|FUJ02e5|FUJ02e7|FUJ02e9"
        Driver "wacom"
EndSection

It doesn't install udev rules of any kind, and I don't really want to go adding them if Xorg will already take care of such tablets properly.  I'm reassigning this to the linxuwacom-module devs in case they want to handle it for linxuwacom-module...
Comment 3 Sven Vermeulen (RETIRED) gentoo-dev 2013-12-31 20:54:45 UTC
Perhaps for dev-libs/libwacom?

If that doesn't contain udev rules either, at least we should document it on the wiki then.
Comment 4 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-12-31 23:58:52 UTC
(In reply to Sven Vermeulen from comment #3)
> Perhaps for dev-libs/libwacom?
> 
> If that doesn't contain udev rules either, at least we should document it on
> the wiki then.

libwacom installs /lib/udev/rules.d/65-libwacom.rules which includes the following section:

# Match all serial wacom tablets with a serial ID starting with WACf
ENV{ID_BUS}=="tty|pnp", ATTRS{id}=="WACf*", ENV{ID_INPUT}="1", ENV{ID_INPUT_TABLET}="1"
ENV{ID_BUS}=="tty|pnp", ATTRS{id}=="FUJ*", ENV{ID_INPUT}="1", ENV{ID_INPUT_TABLET}="1"


So I think we can mark this as fixed.
Comment 5 Alexandre Rostovtsev (RETIRED) gentoo-dev 2014-01-01 00:03:09 UTC
The only issue is that libwacom will be pulled into the dependency tree in gnome, but not in other desktops. So perhaps x11-drivers/xf86-input-wacom should have an RDEPEND on libwacom for the udev file.

@x11, what do you think?
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-01-07 09:06:40 UTC
Dependency was added to xf86-input-wacom-0.23.0.